services:
    app.chart.message:
        class: App\Service\Chart\MessageChart
        arguments:
            - '@chartjs.builder'
            - '@translator'
            - '@doctrine.orm.entity_manager'
    app.chart.apply:
        class: App\Service\Chart\ApplyChart
        arguments:
            - '@chartjs.builder'
            - '@translator'
            - '@doctrine.orm.entity_manager'
    app.chart.lesson:
        class: App\Service\Chart\LessonChart
        arguments:
            - '@chartjs.builder'
            - '@translator'
            - '@doctrine.orm.entity_manager'
    app.chart.exam:
        class: App\Service\Chart\ExamChart
        arguments:
            - '@chartjs.builder'
            - '@translator'
            - '@doctrine.orm.entity_manager'
    app.chart.category:
        class: App\Service\Chart\CategoryChart
        arguments:
            - '@chartjs.builder'
            - '@translator'
            - '@doctrine.orm.entity_manager'
    App\Service\Chart\MessageChart:
        alias: app.chart.message

    App\Service\Chart\ApplyChart:
        alias: app.chart.apply

    App\Service\Chart\LessonChart:
        alias: app.chart.lesson

    App\Service\Chart\CategoryChart:
        alias: app.chart.category

    App\Service\Chart\ExamChart:
        alias: app.chart.exam
